Skip to main content
Infrastructure/Agents
POSTAgentSince 1.0SynchronousAuth Required

GenerateToken

Generate a bearer token for an agent to authenticate subsequent API calls

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    UUID of the agent for which to generate a token

Responses

200 OK

On success, this API returns the following response structure.

  • tokenString

    Generated bearer token for agent authentication

    Example: eyJhbGciOiJSUzI1NiJ9...

  • expiresAtString

    Expires at

    Example: 2026-01-15T08:00:00Z

Endpoint

POST/api/v1/agents/{uuid}/token

/api/v1/agents/{uuid}/token

Operation ID

GenerateToken

Permalink

Request Example

curl -X POST '{host}/api/v1/agents/{uuid}/token' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{}'

Response Example

200
{
  "token": "eyJhbGciOiJSUzI1NiJ9...",
  "expiresAt": "example"
}

Change History

This API has no change history records yet.

View all change history